Create Blacklisted Window Rule
curl --request POST \
--url https://app.papelship.com/api/qpapel/v1/blacklisted-windows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"window_title": "Cheat Engine"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({window_title: 'Cheat Engine'})
};
fetch('https://app.papelship.com/api/qpapel/v1/blacklisted-windows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/blacklisted-windows"
payload = { "window_title": "Cheat Engine" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/blacklisted-windows",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'window_title' => 'Cheat Engine'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/blacklisted-windows"
payload := strings.NewReader("{\n \"window_title\": \"Cheat Engine\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": 7,
"user_id": 1,
"window_title": "x64dbg",
"is_active": true,
"severity": "ban",
"is_partial_match": true,
"description": "Block running debugger windows",
"created_at": "2026-06-12T04:00:00.000Z"
}
}{
"success": false,
"error": "Missing required field or invalid value"
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Client Security & Anti-Cheat
Create Blacklisted Window Rule
Add an exact or partial window title string to detect debuggers and disassemblers.
POST
/
blacklisted-windows
Create Blacklisted Window Rule
Authorizations
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Body
application/json
Window title string to search for.
Example:
"Cheat Engine"
Available options:
suspicious, ban Example:
"ban"
Documentation note for this window check.
Example:
"Block open Cheat Engine UI windows"
Match substring occurrences within window titles.